/* Theme settings */
:root {
  --background-color: #eceff4;
  --card-color: #fff;
  --primary-color: #a3be8c;
  --color-blue: #5e81ac;
  --color-orange: #d08770;
  --font-color: rgb(76, 86, 106);
}

/* Fonts */
.text__primary {
  color: var(--primary-color);
}

body {
  font-family: "Roboto", sans-serif;
}

/* Page styles */

* {
  margin: 0;
  padding: 0;
}

a {
  text-decoration: none;
}

.container {
  display: flex;
  flex-direction: column;
}

.page {
  height: 100vh;
}

.page__main {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  font-size: 2em;
  background-color: var(--background-color);
}

.text-box {
  background-color: var(--card-color);
  box-shadow: rgba(184, 194, 215, 0.35) 0px 3px 6px 0px;
  padding: 24px;
  color: var(--font-color);
  border-radius: 8px;
}

.contacts {
  display: flex;
  flex-direction: row;
  gap: 12px;
  list-style: none;
  padding: 12px;
}

.contacts li {
  display: flex;
  align-items: center;
}

.contacts .icon {
  width: 24px;
  height: 24px;
  padding-right: 8px;
}

.contacts li a {
  transition: 0.2s;
  color: var(--font-color);
}

.contacts .link__telegram:hover {
  color: var(--color-blue);
}

.contacts .link__gitlab:hover {
  color: var(--color-orange);
}
